# Config file

```lua
Config, Locales = {}, {}

Config.Locale = 'en'  -- en / pt / es / fr / de

Config.Framework = GetResourceState('qb-core') == 'started' and 'qb' or GetResourceState('es_extended') == 'started' and 'esx' or 'custom' -- qb, esx or custom - if you want to use a standalone make sure to set this to custom and change the sv_utils.lua functions

Config.ScoreboardType = 'fullscreen' -- fullscreen or card

Config.ScoreboardCommand = 'openscoreboard' -- Command to open the scoreboard menu

Config.RegisterKeyMapping = true -- If you want to register a key mapping for the scoreboard, set this to true

Config.OpenScoreboardKey = 'F10' -- Key to open the scoreboard menu

Config.MaxServerPlayers = 32 -- Max server players if you sv_maxclients on `server.cfg` is not set, make sure its "setr sv_maxclients 32"

Config.UseOkokBossMenu = GetResourceState('okokBossMenu') == 'started' and true or false -- If you want to use okokBossMenu, set this to true

Config.Services = {
    {
        icon = 'fa-solid fa-heart-pulse',
        name = 'ambulance',
        label = 'Medics',
        color = '#FF1F8B',
        iconColor = '#fff',
    },
    {
        icon = 'fa-solid fa-shield-halved',
        name = 'police',
        label = 'LSPD',
        color = '#007CFF',
        iconColor = '#fff',
    },
    {
        icon = 'fa-solid fa-wrench',
        name = 'mechanic',
        label = 'Mechanic',
        color = '#ffffff',
        iconColor = '#101217',
    },
    {
        icon = 'fa-solid fa-taxi',
        name = 'taxi',
        label = 'Taxi',
        color = '#3FC157',
        iconColor = '#fff',
    },
}

Config.Admins = {
    {
        group = 'admin',
        color = '#FF0000',
        icon = 'fa-solid fa-shield-halved',
        label = 'Admin',
    },
    {
        group = 'god',
        color = '#0e65f0',
        icon = 'fa-solid fa-crown',
        label = 'Founder',
    },
    {
        group = 'mod',
        color = '#ebd728',
        icon = 'fa-solid fa-user-secret',
        label = 'Mod',
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okokscripts.io/scripts/okokscoreboard/config-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
